{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <title>List Transaksi Makan</title>

    <style>
        td, th {
            border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;
        }

        th {
            font-size: 35px;
        }

        td {
            font-size: 30px;
        }

        h1 {
            margin-top: 100px;
            margin-bottom: 30px;
            text-align: center;
            font-size: 40px;
        }

        a {
            text-decoration: none;
            font-size: 20px;
        }

        button {
            margin-top: 10px;
            width: 120px;
        }
    </style>
{% endblock meta %}

{% block content %}
    <h1>List Transaksi Makan</h1>
    <table style="width: 100%;">
        <tr>
            <th>No</th>
            <th>Id Transaksi Hotel</th>
            <th>id transaksi</th>
            <th>Total Bayar</th>
            <th>Action</th>
        </tr>
   

    {% for elem in transaksi %}
    <tr>
        <td>{{forloop.counter}}</td>
        <td>{{elem.0}}</td>
        <td>{{elem.1}}</td>
        <td>{{elem.2}}</td>
        <td>
            <button><a href="{% url 'detail-transaksi-makan' elem.0 elem.1 %}">detail</a></button>
            {% if role == 'admin satgas' %}
            <br>
            <button><a href="{% url 'update-transaksi-makan' elem.0 elem.1 %}">update</a></button>
            <br>
            <button class="btn-delete" value="{{elem.0}}-{{elem.1}}"><a>delete</a></button>
            {% endif %}
        </td>
    </tr>
    
    {% endfor %}
    </table>
    <br>
    <button style="font-size:20px; width:150px" onclick="location.pathname = '/transaksi-makan/buat-transaksi-makan/'">
        Buat transaksi makan dan daftar pesan
    </button>

<script
    src="https://code.jquery.com/jquery-3.6.0.js"
    integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk="
    crossorigin="anonymous"
  ></script>
  <script src="{% static 'js/list-transaksi.js'%}"></script>    
{% endblock content %}